package com.miaxis.app.controller.wechat;

import com.alibaba.fastjson.JSONObject;
import com.miaxis.common.aliyunOSS.AliyunConfig;
import com.miaxis.common.aliyunOSS.AliyunUpload;
import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.Response;
import com.miaxis.common.core.domain.entity.SysUser;
import com.miaxis.common.core.domain.entity.UserInfo;
import com.miaxis.common.core.page.ResponsePageInfo;
import com.miaxis.common.enums.PictureTypeEnum;
import com.miaxis.common.exception.CustomException;
import com.miaxis.common.utils.RandomNameUtils;
import com.miaxis.common.utils.SecurityUtils;
import com.miaxis.feign.dto.WxResult;
import com.miaxis.feign.service.IWxService;
import com.miaxis.file.vo.FileVo;
import com.miaxis.user.dto.UserDto;
import com.miaxis.user.service.IUserInfoService;
import com.miaxis.user.vo.UserVo;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * 【用户信息】Controller
 *
 * @author wwl
 * @date 2020-12-23
 */
@RestController
@RequestMapping(Constants.OPEN_PREFIX+"/wx")
@Api(tags={"【小程序-微信接口】"})
public class WxController extends BaseController{

    @Autowired
    private IWxService wxService;

    @Autowired
    private IUserInfoService userInfoService;

    @Value("${app.appid}")
    private String appid;

    @Value("${app.secret}")
    private String secret;







}
