package com.miaxis.carousel.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 轮播图对象返回参
 *
 * @author miaxis
 * @date 2021-03-11
 */
@Data
@ApiModel(value = "CarouselChartInfoVo", description = "轮播图对象返回参")
public class CarouselChartInfoVo{

    @ApiModelProperty(value = "主键")
    private Long id;

    /** 图片名称 */
    @ApiModelProperty(value = "图片名称")
    private String pictureName;

    /** 图片id--对应file_info的id */
    @ApiModelProperty(value = "图片访问地址")
    private String fileUrl;

    /** 状态  0：有效(默认)、1：失效 （伪删除） */
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private Integer status;

}
